import request from '@/utils/request'
import { parseStrEmpty } from "@/utils/ruoyi";


// 查询【请填写功能名称】列表
export function listBind(query) {
  return request({
    url: '/system/bind/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getBind(id) {
  return request({
    url: '/system/bind/' + parseStrEmpty(id),
    method: 'get'
  })
}

// 查询部门下拉树结构
export function deptTreeSelect() {
  return request({
    url: '/system/user/deptTree',
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addBind(data) {
  return request({
    url: '/system/bind',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateBind(data) {
  return request({
    url: '/system/bind',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delBind(id) {
  return request({
    url: '/system/bind/' + id,
    method: 'delete'
  })
}
